
#ifndef DISA8255MULTI_H
#define DISA8255MULTI_H

#include <linux/ioctl.h> 

#define disa8255multi_major 158
#define MAXCARD 2
#define REGIONLENGTH 48

#define DISA8255MULTI_WRITE_PORT      _IOW(disa8255multi_major, 0 , char)
#define DISA8255MULTI_READ_PORT       _IOR(disa8255multi_major, 1 , char)
#define DISA8255MULTI_WRITE_COUNTER   _IOW(disa8255multi_major, 2 , int)
#define DISA8255MULTI_READ_COUNTER    _IOR(disa8255multi_major, 3 , int)
#define DISA8255MULTI_SET_REGISTER    _IOW(disa8255multi_major, 4 , int)
#define DISA8255MULTI_SET_CONTROLWORD _IOW(disa8255multi_major, 5 , char)
#define DISA8255MULTI_GET_CONTROLWORD _IOR(disa8255multi_major, 6 , char)
#define DEVICE_NAME "disa8255multi"

/* first 8255 on the card */
#define PORTA1 0
#define PORTB1 1
#define PORTC1 2
#define CONTROLWORD1 30

/*   second 8255 on the card */
#define PORTA2 3
#define PORTB2 4
#define PORTC2 5
#define CONTROLWORD2 31

/* third 8255 on the card */
#define PORTA3 6
#define PORTB3 7
#define PORTC3 8
#define CONTROLWORD3 32

/* forth 8255 on the card */
#define PORTA4 9
#define PORTB4 10
#define PORTC4 11
#define CONTROLWORD4 33

/* fifth 8255 on the card */
#define PORTA5 12
#define PORTB5 13
#define PORTC5 14
#define CONTROLWORD5 34

/* sixth 8255 on the card */
#define PORTA6 15
#define PORTB6 16
#define PORTC6 17
#define CONTROLWORD6 35

/* seventh 8255 on the card */
#define PORTA7 18
#define PORTB7 19
#define PORTC7 20
#define CONTROLWORD7 36

/* eighth 8255 on the card */
#define PORTA8 21
#define PORTB8 22
#define PORTC8 23
#define CONTROLWORD8 37

/* first 8253 on the card */
#define COUNTERA1 24
#define COUNTERA2 25
#define COUNTERA3 26
#define CONTROLWORDC1 38

/* second 8253 on the card */
#define COUNTERB1 27
#define COUNTERB2 28
#define COUNTERB3 29
#define CONTROLWORDC2 39

int WritePort(int file_desc,int port,char value);
char ReadPort(int file_desc,int port);

int SetControlWord(int file_desc,int port,char value);
char GetControlWord(int file_desc,int port);

int WriteCounter(int file_desc,int number,int value);
int ReadCounter(int file_desc,int number);
#endif


  

